## BraseroSessionSpan

BraseroSessionSpan

## Functions

BraseroSessionSpan * | brasero_session_span_new ()
BraseroBurnResult | brasero_session_span_again ()
BraseroBurnResult | brasero_session_span_possible ()
BraseroBurnResult | brasero_session_span_start ()
BraseroBurnResult | brasero_session_span_next ()
void | brasero_session_span_stop ()

## Types and Values

struct | BraseroSessionSpan

## Description

## Functions

### brasero_session_span_new ()

    BraseroSessionSpan *
    brasero_session_span_new (void);

Creates a new BraseroSessionSpan object.

#### Returns

a BraseroSessionSpan object

### brasero_session_span_again ()

    BraseroBurnResult
    brasero_session_span_again (BraseroSessionSpan *session);

Checks whether some data were not included during calls to `brasero_session_span_next()`.

#### Parameters

session | a BraseroSessionSpan |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if there is not anymore data. BRASERO_BURN_RETRY if the operation was successful and a new BraseroTrackDataCfg was created. BRASERO_BURN_ERR otherwise.

### brasero_session_span_possible ()

    BraseroBurnResult
    brasero_session_span_possible (BraseroSessionSpan *session);

Checks if a new BraseroTrackData can be created from the files remaining in the tree after calls to `brasero_session_span_next()`. The maximum size of the data will be the one of the medium inserted in the BraseroDrive set for `session` (see `brasero_burn_session_set_burner()`).

#### Parameters

session | a BraseroSessionSpan |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if there is not anymore data. BRASERO_BURN_RETRY if the operation was successful and a new BraseroTrackDataCfg was created. BRASERO_BURN_ERR otherwise.

### brasero_session_span_start ()

    BraseroBurnResult
    brasero_session_span_start (BraseroSessionSpan *session);

Get the object ready for spanning a BraseroBurnSession object. This function must be called before `brasero_session_span_next()`.

#### Parameters

session | a BraseroSessionSpan |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if successful.

### brasero_session_span_next ()

    BraseroBurnResult
    brasero_session_span_next (BraseroSessionSpan *session);

Sets the next batch of data to be burnt onto the medium inserted in the BraseroDrive set for `session` (see `brasero_burn_session_set_burner()`). Its free space or it capacity will be used as the maximum amount of data to be burnt.

#### Parameters

session | a BraseroSessionSpan |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if successful.

### brasero_session_span_stop ()

    void
    brasero_session_span_stop (BraseroSessionSpan *session);

Ends and cleans a spanning operation started with `brasero_session_span_start()`.

#### Parameters

session | a BraseroSessionSpan |

## Types and Values

### struct BraseroSessionSpan

    struct BraseroSessionSpan {
    	BraseroBurnSession parent_instance;
    };